Get the token owner
#Who owns this token, whether they are a verified seller, and the token’s scopes and expiry. Works with any scope — use it to test a new token.
Responses
unauthenticated: the token is missing, invalid, expired or revoked.insufficient_scope (with required_scope), seller_not_verified, email_not_verified or account_suspended.rate_limited: too many requests. Wait Retry-After seconds.Example request
curl 'https://mythicdeals.com/api/v1/me' \
-H "Authorization: Bearer $MYTHICDEALS_TOKEN" \
-H "Accept: application/json"
const res = await fetch('https://mythicdeals.com/api/v1/me', {
headers: {
Authorization: `Bearer ${process.env.MYTHICDEALS_TOKEN}`,
Accept: 'application/json',
},
});
const json = await res.json();
import os
import requests
res = requests.get(
"https://mythicdeals.com/api/v1/me",
headers={
"Authorization": f"Bearer {os.environ['MYTHICDEALS_TOKEN']}",
"Accept": "application/json",
},
)
print(res.status_code, res.json())
use Illuminate\Support\Facades\Http;
$res = Http::withToken(env('MYTHICDEALS_TOKEN'))
->acceptJson()
->get('https://mythicdeals.com/api/v1/me');
$res->throw();
$data = $res->json('data');
Example response
{
"data": {
"id": 1,
"name": "Budi",
"is_seller": true,
"store": {
"name": "Budi Store",
"slug": "budi-store"
},
"token": {
"name": "Sync bot",
"prefix": "go_8fK2xQaZ",
"scopes": [
"catalog:read",
"listings:read",
"listings:write",
"orders:read",
"orders:write",
"messages:read",
"messages:write",
"wallet:read",
"webhooks:write",
"disputes:read",
"disputes:write",
"notifications:read",
"account:read",
"account:write"
],
"expires_at": null
}
}
}